# WriteUserLog

### void WriteUserLog(string strUserLog)

User가 원하는 문자열을 GEM로그에 남게 해주는 함수.

Parameters

<table data-header-hidden><thead><tr><th width="159" valign="top"></th><th width="108" valign="top"></th><th valign="top"></th></tr></thead><tbody><tr><td valign="top">Name</td><td valign="top">Type</td><td valign="top">Description</td></tr><tr><td valign="top">strUserLog</td><td valign="top">string</td><td valign="top">User 가 로그에 남길 문자열</td></tr></tbody></table>

```csharp
m_gem.WriteUserLog(string.Format("{0} C#전용 EZGEM DLL버젼을 구동시작", GetStringNow()));
```

```
09:29:56(812) , [USER_LOG   ]  04-03 09:29:56 C#전용 EZGEM DLL버젼을 구동시작
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://nviasoft.gitbook.io/nviasoft-docs/api-reference/undefined-2/writeuserlog.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
